commit:     c48825f57d949a3d0fde1c1361feb42ff4b88fb0
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Sat Jul 25 18:20:13 2020 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sat Jul 25 22:13:21 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c48825f5

net-misc/gns3-gui: add 2.2.11

Package-Manager: Portage-3.0.0, Repoman-2.3.23
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail.com>
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 net-misc/gns3-gui/Manifest               |  1 +
 net-misc/gns3-gui/gns3-gui-2.2.11.ebuild | 56 ++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/net-misc/gns3-gui/Manifest b/net-misc/gns3-gui/Manifest
index 2f8f23dc26e..31e981864bf 100644
--- a/net-misc/gns3-gui/Manifest
+++ b/net-misc/gns3-gui/Manifest
@@ -1 +1,2 @@
+DIST gns3-gui-2.2.11.tar.gz 5240137 BLAKE2B 
6601e8477c9d5dadfb04a19d4bb75efad39d23cde1fb4e9bc0698cf59c403f154ea1b46b216e2271da476b42d7d58ecee9ef8acabeae039c4026c1f5ee7325eb
 SHA512 
7cb3b4b8bcae5b6adc6d3637fad9a8e4cf885709f9440f484224c04044960b082d1b7b81ad23b5c128c9e58e6ac23d07101128b96caaa095394c0feedc2a8dc3
 DIST gns3-gui-2.2.8.tar.gz 5237129 BLAKE2B 
ce72219a1d0201f596c20b0988ab81f280889d3eb4717898da5d1a3c52a248e8f1d020d83b900309e623fadb758e67a91baaac9d61d75e72b96f4144ac5101fb
 SHA512 
28b9f6f16506f206f64831160d95687525b6709d9d0d84623763e46c3c9b2e138e3f12844619bbad00491677818a7e28da4f4ea9358d063c3427db16e62775ca

diff --git a/net-misc/gns3-gui/gns3-gui-2.2.11.ebuild 
b/net-misc/gns3-gui/gns3-gui-2.2.11.ebuild
new file mode 100644
index 00000000000..57e7f1b46b8
--- /dev/null
+++ b/net-misc/gns3-gui/gns3-gui-2.2.11.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+inherit distutils-r1 desktop xdg
+
+DESCRIPTION="Graphical Network Simulator"
+HOMEPAGE="https://www.gns3.com/ https://github.com/GNS3/gns3-gui";
+SRC_URI="https://github.com/GNS3/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+#net-misc/gns3-server version should always match gns3-gui version
+RDEPEND="
+       >=dev-python/distro-1.3.0[${PYTHON_USEDEP}]
+       ~dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+       >=dev-python/psutil-5.7.0[${PYTHON_USEDEP}]
+       >=dev-python/sentry-sdk-0.14.4[${PYTHON_USEDEP}]
+       ~net-misc/gns3-server-${PV}[${PYTHON_USEDEP}]
+       dev-python/PyQt5[gui,network,svg,websockets,widgets,${PYTHON_USEDEP}]
+"
+
+DISTUTILS_USE_SETUPTOOLS=bdepend
+
+src_prepare() {
+       default
+
+       # newer psutils is fine
+       sed -i -e '/psutil==5.7.0/d' requirements.txt || die "fixing 
requirements failed"
+
+       eapply_user
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       doicon "resources/images/gns3.ico"
+       make_desktop_entry "gns3" "GNS3" "gns3.ico" "Utility"
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+       xdg_icon_cache_update
+}

Reply via email to